apparmor is logging too many messages

Bug #937723 reported by Ritesh Raj Sarraf on 2012-02-21
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
apparmor (Ubuntu)
Medium
Jamie Strandboge

Bug Description

Since one of the recent updates, apparmor is flooding way too many messages. This would lead to a power hungry os. You can see in the below snippet, apparmor logged way too many messages to /var/log/syslog in less than a 2 minute time span.

Feb 21 17:12:51 champaran kernel: [ 2826.760565] type=1400 audit(1329824571.347:948): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6827/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:12:51 champaran kernel: [ 2826.760694] type=1400 audit(1329824571.347:949): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6842/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0

Feb 21 17:13:18 champaran kernel: [ 2854.209452] [UFW BLOCK] IN=eth0 OUT= MAC=00:22:68:1b:af:4a:00:1a:30:98:4c:00:08:00 SRC=10.42.64.101 DST=10.73.5.88 LEN=34 TOS=0x00 PREC=0x00 TTL=120 ID=24884 PROTO=UDP SPT=9877 DPT=9876 LEN=14
Feb 21 17:13:21 champaran kernel: [ 2856.600295] type=1400 audit(1329824601.187:950): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6800/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:21 champaran kernel: [ 2856.600646] type=1400 audit(1329824601.187:951): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6804/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:21 champaran kernel: [ 2856.600777] type=1400 audit(1329824601.187:952): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6805/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:21 champaran kernel: [ 2856.600905] type=1400 audit(1329824601.187:953): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6819/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:21 champaran kernel: [ 2856.777752] type=1400 audit(1329824601.367:954): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6817/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:21 champaran kernel: [ 2856.777953] type=1400 audit(1329824601.367:955): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6822/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:21 champaran kernel: [ 2856.778084] type=1400 audit(1329824601.367:956): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6827/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:21 champaran kernel: [ 2856.778213] type=1400 audit(1329824601.367:957): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6842/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:22 champaran kernel: [ 2857.601610] type=1400 audit(1329824602.187:958): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6800/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:22 champaran kernel: [ 2857.601819] type=1400 audit(1329824602.187:959): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6804/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:27 champaran kernel: [ 2862.479563] audit_printk_skb: 66 callbacks suppressed
Feb 21 17:13:27 champaran kernel: [ 2862.479572] type=1400 audit(1329824607.067:982): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6800/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:27 champaran kernel: [ 2862.479781] type=1400 audit(1329824607.067:983): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6804/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:27 champaran kernel: [ 2862.479912] type=1400 audit(1329824607.067:984): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6805/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:27 champaran kernel: [ 2862.480087] type=1400 audit(1329824607.067:985): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6819/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:27 champaran kernel: [ 2862.656969] type=1400 audit(1329824607.243:986): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6817/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:27 champaran kernel: [ 2862.657170] type=1400 audit(1329824607.243:987): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6822/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:27 champaran kernel: [ 2862.657302] type=1400 audit(1329824607.243:988): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6827/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:27 champaran kernel: [ 2862.657431] type=1400 audit(1329824607.243:989): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6842/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:29 champaran kernel: [ 2864.643958] type=1400 audit(1329824609.227:990): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6800/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:29 champaran kernel: [ 2864.644211] type=1400 audit(1329824609.231:991): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6804/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:33 champaran kernel: [ 2868.779545] [UFW BLOCK] IN=eth0 OUT= MAC=01:00:5e:00:00:01:00:1a:30:1b:18:00:08:00 SRC=10.73.4.2 DST=224.0.0.1 LEN=28 TOS=0x00 PREC=0xC0 TTL=1 ID=36320 PROTO=2
Feb 21 17:13:34 champaran kernel: [ 2869.693438] audit_printk_skb: 42 callbacks suppressed
Feb 21 17:13:34 champaran kernel: [ 2869.693442] type=1400 audit(1329824614.279:1006): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6800/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:34 champaran kernel: [ 2869.693554] type=1400 audit(1329824614.279:1007): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6804/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:34 champaran kernel: [ 2869.693619] type=1400 audit(1329824614.279:1008): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6805/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:34 champaran kernel: [ 2869.693684] type=1400 audit(1329824614.279:1009): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6819/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:34 champaran kernel: [ 2869.872320] type=1400 audit(1329824614.459:1010): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6817/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:34 champaran kernel: [ 2869.872438] type=1400 audit(1329824614.459:1011): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6822/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:34 champaran kernel: [ 2869.872480] type=1400 audit(1329824614.459:1012): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6827/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:34 champaran kernel: [ 2869.872521] type=1400 audit(1329824614.459:1013): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6842/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:13:50 champaran kernel: [ 2885.550687] [UFW BLOCK] IN=eth0 OUT= MAC=00:22:68:1b:af:4a:00:1a:30:98:4c:00:08:00 SRC=10.42.64.101 DST=10.73.5.88 LEN=34 TOS=0x00 PREC=0x00 TTL=120 ID=32593 PROTO=UDP SPT=9877 DPT=9876 LEN=14
Feb 21 17:14:04 champaran kernel: [ 2899.704148] type=1400 audit(1329824644.291:1014): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6800/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:04 champaran kernel: [ 2899.704318] type=1400 audit(1329824644.291:1015): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6804/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:04 champaran kernel: [ 2899.704363] type=1400 audit(1329824644.291:1016): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6805/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:04 champaran kernel: [ 2899.704408] type=1400 audit(1329824644.291:1017): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6819/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:04 champaran kernel: [ 2899.879923] type=1400 audit(1329824644.467:1018): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6817/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:04 champaran kernel: [ 2899.880268] type=1400 audit(1329824644.467:1019): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6822/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:04 champaran kernel: [ 2899.880413] type=1400 audit(1329824644.467:1020): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6827/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:04 champaran kernel: [ 2899.880547] type=1400 audit(1329824644.467:1021): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6842/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:05 champaran kernel: [ 2900.704793] type=1400 audit(1329824645.291:1022): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6800/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:05 champaran kernel: [ 2900.704976] type=1400 audit(1329824645.291:1023): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6804/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:08 champaran AptDaemon: INFO: Quitting due to inactivity
Feb 21 17:14:08 champaran AptDaemon: INFO: Quitting was requested
Feb 21 17:14:10 champaran kernel: [ 2905.582538] audit_printk_skb: 66 callbacks suppressed
Feb 21 17:14:10 champaran kernel: [ 2905.582546] type=1400 audit(1329824650.167:1046): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6800/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:10 champaran kernel: [ 2905.582750] type=1400 audit(1329824650.167:1047): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6804/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:10 champaran kernel: [ 2905.582882] type=1400 audit(1329824650.167:1048): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6805/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:10 champaran kernel: [ 2905.583012] type=1400 audit(1329824650.167:1049): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6819/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:10 champaran kernel: [ 2905.758522] type=1400 audit(1329824650.347:1050): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6817/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:10 champaran kernel: [ 2905.758726] type=1400 audit(1329824650.347:1051): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6822/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:10 champaran kernel: [ 2905.758858] type=1400 audit(1329824650.347:1052): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6827/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:10 champaran kernel: [ 2905.758988] type=1400 audit(1329824650.347:1053): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6842/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:12 champaran kernel: [ 2907.746762] type=1400 audit(1329824652.331:1054): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6800/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:12 champaran kernel: [ 2907.746968] type=1400 audit(1329824652.331:1055): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6804/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:17 champaran kernel: [ 2912.787655] audit_printk_skb: 42 callbacks suppressed
Feb 21 17:14:17 champaran kernel: [ 2912.787663] type=1400 audit(1329824657.375:1070): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6800/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:17 champaran kernel: [ 2912.788064] type=1400 audit(1329824657.375:1071): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6804/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:17 champaran kernel: [ 2912.788229] type=1400 audit(1329824657.375:1072): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6805/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:17 champaran kernel: [ 2912.788363] type=1400 audit(1329824657.375:1073): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6800/task/6819/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:17 champaran kernel: [ 2912.975151] type=1400 audit(1329824657.559:1074): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6817/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:17 champaran kernel: [ 2912.975360] type=1400 audit(1329824657.559:1075): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6822/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:17 champaran kernel: [ 2912.975492] type=1400 audit(1329824657.559:1076): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6827/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:17 champaran kernel: [ 2912.975622] type=1400 audit(1329824657.559:1077): apparmor="ALLOWED" operation="open" parent=1 profile="/usr/lib/chromium-browser/chromium-browser" name="/proc/6817/task/6842/stat" pid=5597 comm="chromium-browse" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Feb 21 17:14:21 champaran kernel: [ 2916.910018] [UFW BLOCK] IN=eth0 OUT= MAC=00:22:68:1b:af:4a:00:1a:30:98:4c:00:08:00 SRC=10.42.64.101 DST=10.73.5.88 LEN=34 TOS=0x00 PREC=0x00 TTL=120 ID=7507 PROTO=UDP SPT=9877 DPT=9876 LEN=14

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: apparmor 2.7.0-0ubuntu7
ProcVersionSignature: Ubuntu 3.2.0-17.26-generic 3.2.6
Uname: Linux 3.2.0-17-generic x86_64
ApportVersion: 1.92-0ubuntu1
Architecture: amd64
Date: Tue Feb 21 17:08:49 2012
ProcKernelCmdline: BOOT_IMAGE=/vmlinuz-3.2.0-17-generic root=UUID=505762db-e9f5-4d1e-9da0-8354f2022c7b ro quiet splash vt.handoff=7
SourcePackage: apparmor
UpgradeStatus: Upgraded to precise on 2012-01-24 (27 days ago)

Related branches

Ritesh Raj Sarraf (rrs) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apparmor (Ubuntu):
status: New → Confirmed
Leon (leonbo) wrote :

I added " @{PROC}/[0-9]*/task/[0-9]*/stat r," to make it work.
So it becomes:

    owner @{PROC}/[0-9]*/cmdline r,
    owner @{PROC}/[0-9]*/io r,
    owner @{PROC}/[0-9]*/stat r,
    owner @{PROC}/[0-9]*/status r,
    @{PROC}/[0-9]*/task/[0-9]*/stat r,

On Sunday 04 March 2012 05:36 PM, Leon wrote:
> I added " @{PROC}/[0-9]*/task/[0-9]*/stat r," to make it work.
> So it becomes:
>
> owner @{PROC}/[0-9]*/cmdline r,
> owner @{PROC}/[0-9]*/io r,
> owner @{PROC}/[0-9]*/stat r,
> owner @{PROC}/[0-9]*/status r,
> @{PROC}/[0-9]*/task/[0-9]*/stat r,

Thank you. Apart from those, these were needed in the same file, in the
sandbox section.

    @{PROC}/ r,
    @{PROC}/[0-9]*/ r,
    @{PROC}/[0-9]*/fd/ r,
    @{PROC}/[0-9]*/oom_adj w,
    @{PROC}/[0-9]*/oom_score_adj w,

--
Ritesh Raj Sarraf
RESEARCHUT - http://www.researchut.com
"Necessity is the mother of invention."

Changed in apparmor (Ubuntu):
assignee: nobody → Jamie Strandboge (jdstrand)
importance: Undecided → Medium
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor - 2.7.100-0ubuntu1

---------------
apparmor (2.7.100-0ubuntu1) precise; urgency=low

  * New upstream bug fix release which fixes (in addition to other bugs):
    - LP: #940362
    - LP: #947617
    - LP: #949891
  * Drop the following patches, included upstream:
    - 0004-lp918879.patch
    - 0007-lp941506.patch
    - 0008-lp941503.patch
    - 0009-lp943161.patch
  * Drop the following patch, no longer required:
    - 0005-disable-minimization.patch
  * Rename 0006-lp941808.patch 0004-lp941808.patch
  * debian/patches/0001-add-chromium-browser.patch: update for additional
    denials with newer chromium-browser. (LP: #937723)
  * debian/put-all-profiles-in-complain-mode.sh: deal with existing flags
 -- Jamie Strandboge <email address hidden> Fri, 09 Mar 2012 06:56:48 -0600

Changed in apparmor (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers